beats(6)

NAME
beats - create offset beating figures

SYNOPSIS
beats [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--count number] [--cycle number] [--wireframe] [--fps]

DESCRIPTION
The beats program draws balls that move around at a slightly different rate from each other, creating interesting chaotic and ordered beating patterns. Each cycle / pattern is created such that it finishes as a single line of balls at the top of the screen, so that the patterns can smoothly transition between each other.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

--count number
    Number of balls. Default: 30.

--cycle number
    Cycle type to use (Default: -1):
      -1 - pseudo-random based on current time
       0 - clockwise
       1 - rain dance
       2 - metronome
       3 - galaxy

--tick | --no-tick
    Add a tick for 'clockwise' and 'galaxy' patterns.

--blur | --no-blur
    Add motion blur to the ball movement.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2020 by David Eccles. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
David Eccles (gringer) <hacking@gringene.org>, 2020-Feb-04.